/* .message_window_full {width: 100vw !important; height: 100vh !important; position: absolute!important; left: 0px; top: 0px; z-index: 1085 !important;}
.message_window, .message_window_max {position: fixed; bottom: 0px; right: 20px; z-index:1085; display: flex; flex-direction: column; justify-content: space-between; width: 22rem; height: 30rem; box-sizing: border-box; border-radius: 10px 10px 0px 0px; background: #fff; box-shadow:0 0 2rem 0 rgba(0, 0, 0, 0.1), 0rem 0rem 0.5rem 0rem rgba(0, 0, 0, 0.1);}
.message_window_max {width: calc(100vw - 370px); height: calc(100vh - 72px); right: 0;}

 .chat_panel {display: flex; height: 100%; overflow: hidden;}
 .panel1 { background: #f7f7f7; border-right: 1px solid #e9e9e9; width: 260px; min-width: 260px; width: 20%; padding: 10px 20px; box-shadow: -10px 0px 5px 8px rgba(0,0,0,0.2); z-index: 1;  box-sizing: content-box;}
 .panel1 .panelheader {padding: 15px 15px 15px 15px; border-bottom: 1px solid #e9e9e9;}
 .panel1 .panelheader i {cursor: pointer; color:#666; padding:8px; border-radius: 10px;}
 .panel1 .panelheader i:hover {background:#efefef; color:#444;}

 .panel1 .title {font-size:18px; color: #444; font-weight: bold; line-height:16px;}
 .panel1 .tagline {font-size:11px; color: #999; margin-top: 5px; font-weight: bold;}

 .panel1 form {display: flex; margin: 0; align-items: center; padding:10px 15px;}
 .panel1 .inputPanel {display: inherit; justify-content: space-between; align-items: center; flex-grow: 1; background: #fafafa; border: 1px solid #e9e9e9; border-radius: 50px; padding: 5px 10px;}
 .panel1 input[type="text"] {outline: none; font-size: 14px; border:0; width: 100%; margin-right: 10px; background:none;}
 .panel1 .icocolor {cursor:pointer; color:#666; font-size:16px;}
 .panel1 .icocolor:hover {color:#444;}
 
 .panel1 ul {list-style: none; overflow-y: scroll; max-height: 500px; padding:0; padding-bottom:30px;} 
 .panel1 li {position:relative; padding:10px 15px; font-size:14px; color:#444; display:flex; flex-direction: column;}
 .panel1 li:hover {background: #edf0f5;}
 .panel1 li.active {background: #dae3f2;}
 .panel1 li.active .textwrap, .panel1 li.active:hover .textwrap {border:1px solid #dae3f2;}

 .panel1 li i {color:#666; margin-right:3px;}
 .panel1 li:hover i{color:#444}

.panel1 li .chatItem {display:flex; align-items: center;}
.panel1 li .shareByTitle {font-size: 10px; color: #666; margin-top: 3px;}
 
 .panel1 .textwrap {text-overflow: ellipsis; white-space: nowrap; border:1px solid #f7f7f7; border-radius:3px; padding:3px 5px; overflow: hidden; width:150px;}
 .panel1 li:hover .textwrap {border:1px solid #edf0f5; border-radius:3px; padding:3px 5px;}
 .panel1 .textinput {border:1px solid #c3d3ed; background: #fafafa; border-radius:3px; padding:3px 5px; width:150px;}
 .panel1 .textinput input[type="text"] {margin: 0; padding:0;}

 .panel1 li .convaction {display:none; right: 10px; position: absolute;}
 .panel1 li:hover .convaction {display:flex;}
 .panel1 li .convaction i {color:#666; margin: 5px; cursor: pointer;}
 .panel1 li .convaction i:hover {color:#444;}

 .panel1 .newchatbox {display: flex; justify-content: center; position: absolute; bottom: 0px; width: 259px; padding:10px 15px; background: #f7f7f7;}
 .panel1 .newchatbtn {font-size:16px; color: #fff; padding: 10px; border-radius: 50px; display: flex; align-items: center; justify-content: center; background: #39C883; box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.15); width:210px; flex:1; transition: transform .2s; cursor: pointer;}
 .panel1 .newchatbtn span {background: no-repeat; border: 0; color: #fff; font-weight: bold; margin: 0px 0px 0px 10px; padding: 0;}
 .panel1 .newchatbtn:hover {background: #2DB573; transform: scale(1.1);}

.blinking{animation:blinkingText 1.5s infinite;}
@keyframes blinkingText{
	0%{		color: #000;	}
	49%{	color: transparent;	}
	50%{	color: transparent;	}
	99%{	color:transparent;	}
	100%{	color: #000;	}
}
.circlePanel { position: absolute; right:10px; top:-20px; z-index:1085;}
 .circlePanel { position: absolute; left:50%; top:-20px; z-index:1085; margin-left: -50px;} 
.circle-ripple { align-items: center; display: flex; justify-content: center; flex-direction:column; background-color: #faf2ac; width: 8em; height: 8em; border-radius: 50%; -webkit-animation: ripple 0.7s linear infinite; animation: ripple 0.7s linear infinite;}
.circle-ripple span {margin:10px 0px 5px 0px; font-size:13px;}
.circle-ripple div {display: flex; align-items: center;}
.circle-ripple i {cursor: pointer; height: 24px; width: 24px;display: flex; align-items: center; justify-content: center; color:#666;}
.circle-ripple i:hover {color:#444;}

@-webkit-keyframes ripple {
  0% {
    box-shadow: 0 0 0 0 rgba(248, 195, 53, 0.3), 0 0 0 1em rgba(248, 195, 53, 0.3), 0 0 0 3em rgba(248, 195, 53, 0.3), 0 0 0 5em rgba(248, 195, 53, 0.3);
  }
  100% {
    box-shadow: 0 0 0 1em rgba(248, 195, 53, 0.3), 0 0 0 3em rgba(248, 195, 53, 0.3), 0 0 0 5em rgba(248, 195, 53, 0.3), 0 0 0 8em rgba(248, 195, 53, 0);
  }
}

@keyframes ripple {
  0% {
    box-shadow: 0 0 0 0 rgba(248, 195, 53, 0.3), 0 0 0 1em rgba(248, 195, 53, 0.3), 0 0 0 3em rgba(248, 195, 53, 0.3), 0 0 0 5em rgba(248, 195, 53, 0.3);
  }
  100% {
    box-shadow: 0 0 0 1em rgba(248, 195, 53, 0.3), 0 0 0 3em rgba(248, 195, 53, 0.3), 0 0 0 5em rgba(248, 195, 53, 0.3), 0 0 0 8em rgba(248, 195, 53, 0);
  }
}

#message_window .disconnected { background: #999;  padding: 0.25rem; color: #666;font-size: 11px;}
#message_window.connected .disconnected {display: none;}
#message_window .offline {display: none;}
#message_window.offline .disconnected {display: none;}
#message_window.offline .offline {color: #FF0000;display: block;font-size: 11px;}
#message_window .online {display: none;}
#message_window.connected .online {display: block;color:#02BC77; font-size:11px;}

#message_window .powered_by {display:flex; align-items:center; border-bottom: 1px solid #e9e9e9; font-size: 14px; padding:15px; color: #666;}
#message_window .powered_by .botProfile {margin-left:10px; line-height:16px; flex:1;}
#message_window .powered_by .botname {color:#444; font-size:18px; font-weight:bold;}

#message_window .powered_by .botStatus {display: flex; margin-top:5px;}
#message_window .powered_by .participant {color:#999; display: block;font-size: 11px; font-weight: bold;}

#message_window .powered_by .botaction {display:inherit; align-items:center;}
#message_window .powered_by .botaction i {width:20px; color:#666; text-align:center; cursor: pointer;}
#message_window .powered_by .botaction i:hover {color: #444;}

#message_window .panel2_full .powered_by .botaction i {width: 36px; height: 36px; cursor: pointer; background: #f7f7f7; padding: 5px; display: flex; border-radius: 50%; align-items: center; justify-content: center; border: 1px solid #e9e9e9;}
#message_window .panel2_full .powered_by .botaction i:hover {color:#444; border:1px solid #ddd; background: #e9e9e9;}

#message_window .panel2 {display: flex; flex-direction: column; width:100%;}
#message_window .panel2_full {display: flex; flex-direction: column; flex:1;}

#message_window section {padding: 15px 15px 100px 15px; background: #fff; flex-shrink: 2; flex-grow: 1; flex-direction: column-reverse; display: flex; overflow-y: auto; box-shadow: inset 0 2rem 2rem -2rem rgba(0, 0, 0, 0.05), inset 0 -2rem 2rem -2rem rgba(0, 0, 0, 0.05);}
#message_window section .chatThreadOuter { margin: 20px 0px; position:relative; display: flex; align-items: baseline;}

.chatThreadBox { display: flex; position: relative; align-items: center;}
.chatThread { display: flex; align-items:center; position: relative;}
.userchat{justify-content:flex-end;}

.timestamp {margin: 5px 0px 0px 30px; color: #999; font-weight: bold;}
.userchat .timestamp {margin: 5px 30px 0px 0px; color: #999; font-weight: bold; text-align: right;}

#message_window footer {border-top: 1px solid #e9e9e9;padding:10px;}
#message_window footer form {display: flex; margin: 0; align-items: center;}
#message_window footer .inputPanel {display: inherit; justify-content: space-between; align-items: center; flex-grow: 1; background: #f7f7f7; border: 1px solid #e9e9e9; border-radius: 50px; padding: 10px; margin-right:10px;}
#message_window footer input[type="text"] {outline: none; font-size: 14px; border:0; width: 100%; margin-right: 10px; background:none;}
#message_window footer i {cursor: pointer;}
#message_window footer .icocolor {color:#666; font-size:18px; width:24px; text-align: center;}
#message_window footer .icocolor:hover {color:#444;}
#message_window footer .icocolor2 {color:#F5576C; font-size:18px; width:24px;}
#message_window footer button { width: 40px; height:40px; border: 0; cursor: pointer; color: #fff; background: #5470D5; padding: 5px; border-radius: 50%;   transition: transform .2s;}
#message_window footer button:hover {transform: scale(1.2);}

#message_window #message_template {display: none;}
#message_window .message { font-size: 14px; padding: 0.5rem; background: #F0F0F0; color: #444; border-radius: 5px; width: auto; display: inline-block; max-width: 75%;}

.backdrop{position: absolute; top: 0;bottom: 0;left: 0;right: 0;background-color: rgba(0,0,0,0.3);z-index: 1085;}
.jarvisPopup{ background: #fff; border-radius: 5px; width: calc(100vw - 60px); height: calc(100vh - 60px); top: 50%; left: 50%; -webkit-transform: translate(-50%, -50%); transform: translate(-50%, -50%); position: absolute; z-index: 1085; padding: 10px; overflow: hidden;}

.jarvisPopup .header {display:flex; align-items: center; justify-content: space-between; border-bottom:1px solid #e9e9e9; background: #fff; margin-bottom:10px; padding: 10px; position:fixed; width:100%;}
.jarvisPopup .header h4{margin:0; padding:0; font-size:18px; line-height:16px; font-weight:bold;}
.jarvisPopup .header i {cursor:pointer; color:#666;}
.jarvisPopup .header i:hover {color:#444}
.jarvisPopup .scrollContainer {height: calc(100vh - 111px); overflow-y: scroll; border: 1px solid #e9e9e9;padding:10px;}

.cursorHand{cursor: pointer;} */